> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/europe/creditcard.md).

# Credit Card

## Payin by CreditCard

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/create`

This endpoint allows you to submit a payin by CreditCard in Europe.

#### Headers

<table><thead><tr><th width="253">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>Content-Type<mark style="color:red;">*</mark></td><td>string</td><td>application/json; chartset=UTF-8</td></tr><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>Basic Base($app_<em>id:$security_</em>key)</td></tr></tbody></table>

#### Request Body

<table><thead><tr><th width="277">Name</th><th width="145">Type</th><th>Description</th></tr></thead><tbody><tr><td>app_id<mark style="color:red;">*</mark></td><td>string</td><td><p>created app's id at dashboard</p><p>- Max. 32 chars -</p></td></tr><tr><td>method<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: CreditCard</td></tr><tr><td>out_trade_no<mark style="color:red;">*</mark></td><td>string</td><td>ID given by the merchant in their system<br>- Max. 64 chars -</td></tr><tr><td>notify_url<mark style="color:red;">*</mark></td><td>string</td><td>Where Pagsmile will send notification to</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</td></tr><tr><td>subject<mark style="color:red;">*</mark></td><td>string</td><td><p>payment reason or item title</p><p>- Max. 128 chars -</p></td></tr><tr><td>order_amount<mark style="color:red;">*</mark></td><td>string</td><td>payment amount<br>- 0.01~ EUR -</td></tr><tr><td>order_currency<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: EUR</td></tr><tr><td>content</td><td>string</td><td><p>payment reason detail or item detail</p><p>- Max. 255 chars -</p></td></tr><tr><td>buyer_id<mark style="color:red;">*</mark></td><td>string</td><td>merchant user's id</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: 2.0</td></tr><tr><td>trade_type<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: WEB</td></tr><tr><td>timeout_express</td><td>string</td><td><p>m(minutes), h(hours), d(days), c(always end in current day).</p><p>Used to control the expiration time of <strong>submitting</strong> an order (from initial to processing). (90m in default, max 15d)</p></td></tr><tr><td>customer.name<mark style="color:red;">*</mark></td><td>string</td><td>User's name</td></tr><tr><td>customer.email<mark style="color:red;">*</mark></td><td>string</td><td>User's email</td></tr><tr><td>customer.phone<mark style="color:red;">*</mark></td><td>string</td><td>User's phone</td></tr><tr><td>billing.address.country<mark style="color:red;">*</mark></td><td>string</td><td>billing country</td></tr><tr><td>billing.address.state<mark style="color:red;">*</mark></td><td>string</td><td>billing state</td></tr><tr><td>billing.address.city<mark style="color:red;">*</mark></td><td>string</td><td>billing city</td></tr><tr><td>billing.address.street<mark style="color:red;">*</mark></td><td>string</td><td>billing street</td></tr><tr><td>billing.address.street_number<mark style="color:red;">*</mark></td><td>string</td><td>billing street number</td></tr><tr><td>billing.address.postal_code<mark style="color:red;">*</mark></td><td>string</td><td>billing zip code</td></tr></tbody></table>

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "out_trade_no": "out***300",
    "trade_no": "20240***34",
    "web_url": "https://checkout.pagsmile.com/?prepay_id=UloyV0l3NFFyW***45a8F4c",
    "prepay_id": "UloyV0l3NFFyW***DTT0=-645a8F4c"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Step 1:** Get the "prepay\_id" from the API response. Each transaction should create a unique prepay\_id.

**Step 2:** Follow the step [here](/reference/payin/tools/pagsmile-javascript.md#step-1-include-pagsmile-script) to add the Pagsmile JavaScript library.

**Step 3:** Follow the step [here ](/reference/payin/tools/pagsmile-javascript.md#step-3-handle-payment-form-submission)to submit the payment form.
{% endhint %}

## Example

<pre><code>curl --location --request POST 'https://gateway-test.pagsmile.com/trade/create' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "1649***56",
    * "out_trade_no": "out***3300",
    * "order_currency": "EUR",
    * "method": "CreditCard",
    * "order_amount": "1",
    * "subject": "pagsmile test ",
      "content": "pagsmile test ",
    * "trade_type": "WEB",
      "timeout_express": "15d",
    * "timestamp": "2024-07-04 18:50:42",
    * "notify_url": "http://demo.gemini-tiger.cn/callback/success",
    * "buyer_id": "buyer52023",
    * "version": "2.0",
    * "customer" : {
    *     "name": "user name card",
    *     "email": "username@gmail.com",
    *     "phone": "19017394234"
      },
    *  "billing": {
    *      "address": {
    *          "country": "US",
    *          "state": "billingstate123",
    *          "city": "billingcity123",
    *          "street": "billingstreetqqq",
    *          "street_number": "22222",
    *          "postal_code": "32546-546"
          }
      }
<strong>}
</strong></code></pre>

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
